xcb_free_cursor(3)

NAME
xcb_free_cursor - Deletes a cursor

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_free_cursor(xcb_connection_t *conn, xcb_cursor_t cursor);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

cursor
    The cursor to destroy.

DESCRIPTION
Deletes the association between the cursor resource ID and the specified cursor. The cursor is freed when no other resource references it.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_free_cursor_checked. See xcb-requests(3) for details.

ERRORS

xcb_cursor_error_t
    The specified cursor does not exist.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.